
%global fontname nhn-nanum-gothic-coding
%global fontconf 65-3-%{fontname}.conf

%global archivename NanumGothicCoding-2.0.zip

Name:		%{fontname}-fonts
Version:	2.000
Release:	1%{?dist}
Summary:	Nanum Gothic Coding family of Korean TrueType fonts

Group:		User Interface/X
License:	OFL
URL:		http://dev.naver.com/projects/nanumfont/
# NanumGothic_Coding has a mirror redirector for its downloads
# You can get this zip archive by following a link from:
# http://dev.naver.com/projects/nanumfont/download/note/214
Source0:	%{archivename}
Source1:	%{name}-fontconfig.conf

BuildArch:	noarch
BuildRequires:	fontpackages-devel
Requires:	fontpackages-filesystem

%description
Nanum Gothic Coding fonts are set of Gothic Korean font faces suitable
for source code editing, designed by Sandoll Communication and
published by NHN Corporation.

%prep
%setup -q -c
for i in *.ttf; do
  case $i in
    *-Bold.ttf)
      mv $i NanumGothic_Coding_Bold.ttf
      ;;
    *) 
      mv $i NanumGothic_Coding.ttf
  esac
done


%build


%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
		   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%_font_pkg -f %{fontconf} *.ttf


%changelog
* Wed Oct 10 2012 Daiki Ueno <dueno@redhat.com> - 2.000-1
- new upstream release (Closes: #864781)
- change family from sans-serif to monospace (Closes: #864778)

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.500-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul  4 2012 Daiki Ueno <dueno@redhat.com> - 1.500-3
- fix <test> usage in fontconfig files (Closes: #837529)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.500-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Mar 31 2011 Daiki Ueno <dueno@redhat.com> - 1.500-1
- initial packaging for Fedora.

